1 Reply Latest reply on Aug 5, 2016 11:38 AM by Sanya Shmidt

    How to get Weldment Length?

    Sanya Shmidt

      Hello Everyone,

       

      I do have a code that basically gets me a weldment profile names.

      ' getting the weldment profile

                          boolstatus = swModel.Extension.SelectByID2(parname.Name, "BODYFEATURE", 0, 0, 0, False, 0, Nothing, 0)

                          swWeldFeat = swSelMgr.GetSelectedObject6(1, 0)

                          swWeldFeatData = swWeldFeat.GetDefinition

       

                          PrfName=IO.Path.GetFileNameWithoutExtension(swWeldFeatData.WeldmentProfilePath)

       

      This code above is a part of loop, It iterates through all Structural members and retrieves their Weldment profiles.

       

      Is there any way I can get the length of these profiles? Do I have to go to CutLists instead?

       

       

      Thank you.